Page MenuHomeFreeBSD

[NEW PORT] comms/iceoryx: True zero-copy inter-process communication
ClosedPublic

Authored by flo_purplekraken.com on Jun 7 2022, 5:02 PM.

Details

Summary
Iceoryx is an inter-process-communication (IPC) middleware. It has its origins
in the automotive industry, where large amounts of data have to be transferred
between different processes when it comes to driver assistance or automated
driving systems. However, the efficient communication mechanisms can also be
applied to a wider range of use cases, e.g. in the field of robotics or game
development. Iceoryx uses a true zero-copy, shared memory approach that allows
to transfer data from publishers to subscribers without a single copy. This
ensures data transmissions with constant latency, regardless of the size of the
payload.

WWW: https://iceoryx.io/

Add comms/iceoryx port, which is a dependency for https://cyclonedds.io/

Test Plan
  • portlint: OK
  • testport: amd64, 13.1-RELEASE tested

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

flo_purplekraken.com created this revision.
comms/iceoryx/pkg-plist
438

I suspect, that makeplist did wrong there. The %%CMAKE_BUILD_TYPE%% should be replaced with plain release.

  • Updated the pkg-plist to fix the release-notes directory.
  • Removed the doxygen build from the DOCS option because it is a separate build in the upstream CMake setup
flo_purplekraken.com edited the test plan for this revision. (Show Details)

Remove the testing stuff, because upstream always downloads googleetst and patches it.

arrowd requested changes to this revision.Jul 28 2022, 7:50 AM

I think, the EXAMPLES option should be removed and the corresponding CMake option be turned off unconditionally. Since iceoryx is a header-only library, the example for it should be a source code that makes use of its API. However, the EXAMPLES CMake option actually builds all the examples and installs them. I doubt user will ever need to have all these example programs installed under bin/.

This revision now requires changes to proceed.Jul 28 2022, 7:50 AM
  • Removed examples
  • Fixed example config, which got lost in the last update
  • Fixed extra docs dirs

fixed the release names

There was a little mistake in the plist (%%PORTDOCS% instead of %%PORTDOCS%%), which I fixed along the way.

Thanks for your contribution!

This revision was not accepted when it landed; it landed in state Needs Review.Jul 29 2022, 7:25 AM
This revision was automatically updated to reflect the committed changes.